## NMSettingCdma NMSettingCdma |

## Synopsis

    #define             NM_SETTING_CDMA_SETTING_NAME
    enum                NMSettingCdmaError;
    #define             NM_TYPE_SETTING_CDMA_ERROR
    #define             NM_SETTING_CDMA_ERROR
    GQuark              nm_setting_cdma_error_quark         (void);
    #define             NM_SETTING_CDMA_NUMBER
    #define             NM_SETTING_CDMA_USERNAME
    #define             NM_SETTING_CDMA_PASSWORD
                        NMSettingCdma;
    GType               nm_setting_cdma_get_type            (void);
    NMSetting*          nm_setting_cdma_new                 (void);
    const char*         nm_setting_cdma_get_number          (NMSettingCdma *setting);
    const char*         nm_setting_cdma_get_username        (NMSettingCdma *setting);
    const char*         nm_setting_cdma_get_password        (NMSettingCdma *setting);

## Object Hierarchy

      GObject
       +----NMSetting
             +----NMSettingCdma

## Properties

      "number"                   gchararray            : Read / Write
      "password"                 gchararray            : Read / Write
      "username"                 gchararray            : Read / Write

## Description

## Details

### NM_SETTING_CDMA_SETTING_NAME

    #define NM_SETTING_CDMA_SETTING_NAME "cdma"

### enum NMSettingCdmaError

    typedef enum
    {
    	NM_SETTING_CDMA_ERROR_UNKNOWN = 0,
    	NM_SETTING_CDMA_ERROR_INVALID_PROPERTY,
    	NM_SETTING_CDMA_ERROR_MISSING_PROPERTY,
    	NM_SETTING_CDMA_ERROR_MISSING_SERIAL_SETTING
    } NMSettingCdmaError;

### NM_TYPE_SETTING_CDMA_ERROR

    #define NM_TYPE_SETTING_CDMA_ERROR (nm_setting_cdma_error_get_type ())

### NM_SETTING_CDMA_ERROR

    #define NM_SETTING_CDMA_ERROR nm_setting_cdma_error_quark ()

### nm_setting_cdma_error_quark ()

    GQuark              nm_setting_cdma_error_quark         (void);

Returns : |

### NM_SETTING_CDMA_NUMBER

    #define NM_SETTING_CDMA_NUMBER       "number"

### NM_SETTING_CDMA_USERNAME

    #define NM_SETTING_CDMA_USERNAME     "username"

### NM_SETTING_CDMA_PASSWORD

    #define NM_SETTING_CDMA_PASSWORD     "password"

### NMSettingCdma

    typedef struct _NMSettingCdma NMSettingCdma;

### nm_setting_cdma_get_type ()

    GType               nm_setting_cdma_get_type            (void);

Returns : |

### nm_setting_cdma_new ()

    NMSetting*          nm_setting_cdma_new                 (void);

Returns : |

### nm_setting_cdma_get_number ()

    const char*         nm_setting_cdma_get_number          (NMSettingCdma *setting);

`setting` : |
Returns : |

### nm_setting_cdma_get_username ()

    const char*         nm_setting_cdma_get_username        (NMSettingCdma *setting);

`setting` : |
Returns : |

### nm_setting_cdma_get_password ()

    const char*         nm_setting_cdma_get_password        (NMSettingCdma *setting);

`setting` : |
Returns : |

## Property Details

### The `"number"` property

      "number"                   gchararray            : Read / Write

Number.

Default value: NULL

### The `"password"` property

      "password"                 gchararray            : Read / Write

Password.

Default value: NULL

### The `"username"` property

      "username"                 gchararray            : Read / Write

Username.

Default value: NULL